Skip to main content

MINED_TRANSACTION


Supported Network

Network

Supporting

Ethereum Mainnet

✅

Ethereum Testnet (sepolia)

✅

Ethereum Testnet (holesky)

✅

Base Mainnet

✅

Base Testnet(sepolia)

✅

Polygon Mainnet

✅

Polygon Testnet (amoy)

✅

Arbitrum Mainnet

✅

Arbitrum Testnet (sepolia)

✅

Optimism Mainnet

✅

Optimism Testnet (sepolia)

✅

Kaia Mainnet

✅

Kaia Testnet (kairos)

✅

Aptos Mainnet

❌

Aptos Testnet

❌



Webhook Creation Request Example

When setting the eventType value to MINED_TRANSACTION, the available condition object fields are as follows.

Key

Type

Required

Description

Example Value

addresses

Array of String

true

The list of sender addresses for transactions to monitor. A notification is received when a transaction from any address in the array appears in the from field.

["0xc1f18552bD0dc6D4f5A2dccc756F10C4882E2F4A",
"0x56Eddb7aa87536c09CCc2793473599fD21A8b17F"]

Request Example​

curl --location 'https://web3.nodit.io/v1/ethereum/mainnet/webhooks' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: ••••••' \
--data '{
"eventType": "MINED_TRANSACTION",
"description": "{WEBHOOK_DESCRIPTION}",
"notification": {
"webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
},
"isInstant": false,
"condition": {
"addresses": [
"0xc1f18552bD0dc6D4f5A2dccc756F10C4882E2F4A"
]
}
}'

Response Example​

{
"subscriptionId": "4975",
"sequenceNumber": "2",
"description": "{WEBHOOK_DESCRIPTION}",
"protocol": "ethereum",
"network": "mainnet",
"subscriptionType": "WEBHOOK",
"notification": {
"webhookUrl": "{WEBHOOK_LISTENER_ENDPOINT}"
},
"eventType": "MINED_TRANSACTION",
"event": {
"targetAddress": "0xd2674da94285660c9b2353131bef2d8211369a4b", // ⚠️ This field will be deprecated soon
"targetAddresses": [
"0xd2674da94285660c9b2353131bef2d8211369a4b",
"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"
],
"messages": [
{
"access_list": [],
"block_hash": "0x04128d8c7a9d5a22ecb5e647185d290ab378a70303d0024220970d53015966e8",
"block_number": 21492029,
"block_timestamp": 1735281167,
"from_address": "0xd2674da94285660c9b2353131bef2d8211369a4b",
"gas": 21000,
"gas_price": 3188281419,
"hash": "0x704ef43512767b9e4fe17b068515a61145a061d0ed1dbd0e2b71c7df526e3d13",
"input": "0x",
"max_fee_per_gas": 4610707565,
"max_priority_fee_per_gas": 1561842,
"nonce": 214375,
"receipt_contract_address": null,
"receipt_cumulative_gas_used": 11202692,
"receipt_effective_gas_price": 3188281419,
"receipt_gas_used": 21000,
"receipt_root": null,
"receipt_status": 1,
"to_address": "0xc59c90fca5e22a5d9c6028a631a7f332b05c224b",
"transaction_index": 188,
"transaction_type": 2,
"value": "5285490000000000",
"type": "transaction"
}
]
},
"createdAt": "2024-12-27T06:34:28.341Z"
}